Name: libXtst
Version: 1.2.3
Release: 3
License: X11
Summary: X.Org X11 libXtst runtime library
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkg-config

BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libxcb-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros

%description
X.Org X11 libXtst runtime library

%package -n libXtst6
Summary: X.Org X11 libXtst runtime library
Conflicts: libXtst
Obsoletes: libXtst

%description -n libXtst6
X.Org X11 libXtst runtime library

%package devel
Summary: X.Org X11 libXtst development package
Requires: libXtst6 = %{version}-%{release}
Requires: pkg-config
Requires: xorg-x11-proto-devel

%description devel
X.Org X11 libXtst development package

%prep
%setup -q

%build
export CONFIG_SHELL=%{_bindir}/bash
export CONFIG_ENV_ARGS=%{_bindir}/bash

autoreconf -fiv
%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  #end

%make_build

%check
make check

%install
%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libXtst6
%defattr(-, qsys, *none)
%license COPYING
%doc README ChangeLog
%{_libdir}/libXtst.so.6

%files devel
%defattr(-, qsys, *none)
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXtst.so
%{_libdir}/pkgconfig/xtst.pc
%{_mandir}/man3/*.3*
%{_datadir}/doc/libXtst/*.xml

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.3
- Obsolete and Conflict old package name provided by qsecofr repo

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.3
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Aug 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.3
- Initial spec
